## org.apache.commons.math3.geometry.euclidean.threed
Class SubPlane

    java.lang.Object
      org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane<Euclidean3D,Euclidean2D>
          org.apache.commons.math3.geometry.euclidean.threed.SubPlane

All Implemented Interfaces:
  SubHyperplane<Euclidean3D>

    public class SubPlane

extends AbstractSubHyperplane<Euclidean3D,Euclidean2D>

This class represents a sub-hyperplane for `Plane`.

Since:
  3.0
Version:
  $Id: SubPlane.java 1244107 2012-02-14 16:17:55Z erans $

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.commons.math3.geometry.partitioning.SubHyperplane
`SubHyperplane.SplitSubHyperplane<U extends Space>`

Constructor Summary
`SubPlane(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)` Simple constructor.

Method Summary
`protected AbstractSubHyperplane<Euclidean3D,Euclidean2D>` `buildNew(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)` Build a sub-hyperplane from an hyperplane and a region.
`Side` `side(Hyperplane<Euclidean3D> hyperplane)` Compute the relative position of the instance with respect to an hyperplane.
`SubHyperplane.SplitSubHyperplane<Euclidean3D>` `split(Hyperplane<Euclidean3D> hyperplane)` Split the instance in two parts by an hyperplane.

Methods inherited from class org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane
`applyTransform, copySelf, getHyperplane, getRemainingRegion, getSize, isEmpty, reunite`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubPlane

    public SubPlane(Hyperplane<Euclidean3D> hyperplane,
                    Region<Euclidean2D> remainingRegion)

  Simple constructor.

  Parameters:
    `hyperplane` - underlying hyperplane
    `remainingRegion` - remaining region of the hyperplane

Method Detail

### buildNew

    protected AbstractSubHyperplane<Euclidean3D,Euclidean2D> buildNew(Hyperplane<Euclidean3D> hyperplane,
                                                                      Region<Euclidean2D> remainingRegion)

  Build a sub-hyperplane from an hyperplane and a region.

  Specified by:
    `buildNew` in class `AbstractSubHyperplane<Euclidean3D,Euclidean2D>`
  Parameters:
    `hyperplane` - underlying hyperplane
    `remainingRegion` - remaining region of the hyperplane
  Returns:
    a new sub-hyperplane

### side

    public Side side(Hyperplane<Euclidean3D> hyperplane)

  Compute the relative position of the instance with respect to an hyperplane.

  Specified by:
    `side` in interface `SubHyperplane<Euclidean3D>`
  Specified by:
    `side` in class `AbstractSubHyperplane<Euclidean3D,Euclidean2D>`
  Parameters:
    `hyperplane` - hyperplane to check instane against
  Returns:
    one of `Side.PLUS`, `Side.MINUS`, `Side.BOTH`, `Side.HYPER`

### split

    public SubHyperplane.SplitSubHyperplane<Euclidean3D> split(Hyperplane<Euclidean3D> hyperplane)

  Split the instance in two parts by an hyperplane.

  Specified by:
    `split` in interface `SubHyperplane<Euclidean3D>`
  Specified by:
    `split` in class `AbstractSubHyperplane<Euclidean3D,Euclidean2D>`
  Parameters:
    `hyperplane` - splitting hyperplane
  Returns:
    an object containing both the part of the instance on the plus side of the instance and the part of the instance on the minus side of the instance

Copyright (c) 2003-2013 Apache Software Foundation